### Function

# GimpUi prop_boolean_combo_box_new

since: 2.4

#### Declaration [src]

    GtkWidget*
    gimp_prop_boolean_combo_box_new (
      GObject* config,
      const gchar* property_name,
      const gchar* true_text,
      const gchar* false_text
    )

#### Description [src]

Creates a `GtkComboBox` widget to display and set the specified boolean property. The combo box will have two entries, one displaying the `true_text` label, the other displaying the `false_text` label.

Available since: 2.4

#### Parameters

`config`

  Type: `GObject`

  Object to which property is attached.

  The data is owned by the caller of the function.

`property_name`

  Type: `const gchar*`

  Name of boolean property controlled by combo box.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`true_text`

  Type: `const gchar*`

  Label used for entry corresponding to `TRUE` value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`false_text`

  Type: `const gchar*`

  Label used for entry corresponding to `FALSE` value.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GtkWidget`

The newly created `GtkComboBox` widget.

The caller of the function takes ownership of the data, and is responsible for freeing it.